net.sf.jasperreports.functions.annotations

## Class FunctionCategoryBean

- java.lang.Object
- - net.sf.jasperreports.functions.annotations.FunctionCategoryBean

-     public class FunctionCategoryBean
      extends java.lang.Object

  Version:
    $Id: FunctionCategoryBean.java 6184 2013-05-27 10:24:51Z shertage $
  Author:
    sanda zaharia (shertage@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FunctionCategoryBean(java.lang.String id, java.lang.String name, java.lang.String description)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addFunction(FunctionBean function)`
    `java.lang.String` | `getDescription()`
    `java.util.List<FunctionBean>` | `getFunctions()`
    `java.lang.String` | `getId()`
    `java.lang.String` | `getName()`
    `void` | `setDescription(java.lang.String description)`
    `void` | `setId(java.lang.String id)`
    `void` | `setName(java.lang.String name)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FunctionCategoryBean

          public FunctionCategoryBean(java.lang.String id,
                              java.lang.String name,
                              java.lang.String description)

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

    - #### setId

          public void setId(java.lang.String id)

    - #### getName

          public java.lang.String getName()

    - #### setName

          public void setName(java.lang.String name)

    - #### getDescription

          public java.lang.String getDescription()

    - #### setDescription

          public void setDescription(java.lang.String description)

    - #### getFunctions

          public java.util.List<FunctionBean> getFunctions()

    - #### addFunction

          public void addFunction(FunctionBean function)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com